local HashCount = {}

function HashCount:Add(k)
    local count = rawget(self, k)
    rawset(self, k, count and count + 1 or 1)
end

function HashCount.new()
    local t = {}
    local mt = {
        __index =
        { Add = HashCount.Add }
    }
    return setmetatable(t, mt)
end

return HashCount
